.golootlo-login-error {
    margin-top: 20px !important;
    display: block !important;
}

.golootlo-table-responsive {
    min-height: 160px;
}

.modal-download-img-loader {
    height: 18px;
}

.btn-search-clear {
    border: 1px solid #cad1d7;
    border-left: none;
    font-size: larger;
    padding: 0.4em 1em;
}


/* Style the tab */

.tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
}


/* Style the buttons inside the tab */

/* .tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 12px;
} */


/* Change background color of buttons on hover */

/* .tab button:hover {
    background-color: #ddd;
} */


/* Create an active/current tablink class */

/* .tab button.active {
    background-color: #ccc;
} */


/* Style the tab content */

.tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
}

.custom-active:active {
    background-color: #f8f9fe !important;
}

.custom-active:hover {
    cursor: pointer;
}

.custom-active:focus {
    outline: none !important;
}

datalist#properties {
    cursor: pointer;
}

.required-label {
    color: #F5365C;
}

.append-dropdown-textbox,
.append-dropdown-textbox:active,
.append-dropdown-textbox:focus {
    border: 1px solid #cad1d7;
    background-color: #e9ecef;
    color: #546080;
    border-radius: 7px 0 0 7px;
}

.append-dropdown-textbox option {
    background-color: #fff;
    color: #000;
}

.custom-file-label::after {
    background-color: #e9ecef !important;
    color: #172b4d !important;
}

.hide {
    display: none;
}

.vtree {
    margin-left: -10px;
}


/* QR stats Card margin CSS */

.pb-30 {
    margin-bottom: 30px;
}


/* parent vtree */

/* .vtree>.vtree-leaf>.vtree-leaf-label {
    padding: 3px 10px;
    background: #539ddc !important;
    color: #fff !important;
    border-radius: 5px;
    margin-top: 4px;
}

.vtree>.vtree-leaf>.vtree-leaf-label:hover {
    background: #539ddc !important;
    color: #fff !important;
} */


/* child vtree*/

/* .vtree-subtree>.vtree-leaf>.vtree-leaf-label,
.custom-input {
    margin: 4px 18px;
    padding: 1px 10px;
    border-radius: 4px;
    outline: none;
    background: #e7f4f9;
} */

.top-r {
    position: absolute;
    top: 7px;
    right: 10px;
}

.custom-checkbox .custom-control-input:checked~.checkbox-danger::before {
    background-color: #F5365C !important;
}

.change-status-active {
    width: 50% !important;
    padding: 0.5rem 1rem !important;
    color: green;
    font-weight: bold
}

.change-status-inactive {
    width: 50% !important;
    padding: 0.5rem 1rem !important;
    color: red;
    font-weight: bold
}

.mb-15 {
    margin-bottom: 9rem !important;
}

.img-close {
    background-color: #fff;
    padding: 5px;
    border-radius: 50%;
    opacity: 1;
    font-size: medium;
}

.m-content {
    margin: 6px auto;
}

.btn-custom-tab {
    float: unset !important;
    padding: .25rem .5rem !important;
}

.collapse li {
    list-style: none;
}

.highlight-columns {
    background-color: #ffcccc;
    font-weight: bold;
}

#loading {
    width: 100%;
    height: 100%;
    text-align: center;
    opacity: 0.7;
    background-color: #fff;
    z-index: 99;
}

#loading-image {
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('../../admin/img/loading.gif') 50% 50% no-repeat rgb(249, 249, 249);

    /* position: absolute;
    top: 42%;
    z-index: 100; */
}


#loading-image-update {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;

    /* Blur the background */
    backdrop-filter: blur(5px);
    background: rgba(255, 255, 255, 0.4); /* Semi-transparent overlay */
}

#loading-image-update::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    background: url('../../admin/img/loading.gif') center no-repeat;
}

.placeholder-color::placeholder {
    color: #e74a3b;
    opacity: 1;
    /* Firefox */
}

::-ms-input-placeholder {
    /* Edge 12 -18 */
    color: #e74a3b;
}

.dynamic-grid {
    display: flex;
    align-items: center;
    gap: 4px;
    justify-content: space-evenly;
}
#tree{
    width: max-content;
}
/* .copybtn{
    position: absolute;
    top: -26px;
    right: 9px;
}
.one, .two{
    position: relative;
} */
.vtree-leaf-label{
    margin-bottom: 4px;
}



.bg-gradient-info {
    background-color: #0064dc;
    background-image: linear-gradient(180deg, #0064dc 10%, #3c8af8 100%);
    background-size: cover;
}
.text-primary{
    color : #0064dc !important;
}
.border-left-primary{
    border-left: .25rem solid #0064dc !important;
}
.btn-primary{
    color: #fff !important;
    background-color: #0064dc !important;
}
.icon-shape {
    display: inline-flex;
    padding: 12px;
    text-align: center;
    border-radius: 50%;
    align-items: center;
    justify-content: center;
}

/* The loading Class */
.loading {
    position: relative;
    background-color: #ffffff;
}

/* The moving element */
.loading::after {
    display: block;
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
    transform: translateX(-100%);
    background: -webkit-gradient(linear, left top,
                right top, from(transparent),
                color-stop(rgba(255, 255, 255, 0.2)),
                to(transparent));

    background: linear-gradient(90deg, transparent,
    #36b9cc, transparent);

    /* Adding animation */
    animation: loading 0.8s infinite;
}

/* Loading Animation */
@keyframes loading {
    100% {
        transform: translateX(100%);
    }
}